/*
 *  Send information about user interactions to Google via the dataLayer object
 */
import Utils from 'utils'

var event = {
	event: 'appInteraction',
	category: 'eccharts',
	action: 'btnClick', // one of: 'menuClick on', 'menuClick off', 'btnClick on', 'btnClick off'
}

document.addEventListener('click', function(e) {
	setTimeout(function() {
		if(e.target.id){
			window.dataLayer && dataLayer.push(Utils.extend(event, {label: e.target.id}))
		}else{
			switch(e.target.nodeName) {
				case 'LABEL':
					window.dataLayer && dataLayer.push(Utils.extend(event, {label: e.target.innerText}))
					break
				default:
					window.dataLayer && dataLayer.push(Utils.extend(event, {label: e.target.id || e.target.className.replace('mode-tooltip', '').replace('sprite', '').replace('float-left', '').replace('float-left', '').replace('hover', '')}))
					break
			}
		}
	}, 0)
})

