import Observable from 'observable'

var loc = new Observable({state: true})

// Override the set method to check if value has changed
loc.set = function(pt) {
	if(this.value && pt.lat === this.value.lat && pt.lon === this.value.lon)
		return

	return Observable.prototype.set.apply(this, arguments)
}

export default loc
