	$(document).ready(function(){
		var el = $('#main-column');
		var bus = $.getMessageBus('test');
		var received = false;
		var status = el.p();

		bus.listen('test-signal', function(){
			received = true;
			el.append('Message received. Test 1 passed.');

			var n_rxd = 0;
			var link2 = el.p().a('send 10000 messages').attr('href', '#').click(function(){
				link2.hide();
				status.text('testing...');

				bus.listen('test-signal-2', function(){
					n_rxd++;
					status.text('testing... (' + n_rxd + ')');
				});

				var timer = setInterval(function(){

					function make_data(){
						//create a 1MB object
						var s = '';
						for(var i=0;i<100000;i++) s+= 'aaaaaaaaaa';
						return {
							item: s
						}
					}

					bus.send('test-signal-2', make_data());
					if(n_rxd === 10000){
						status.text('finished');
						clearInterval(timer);
					}
				}, 1000);
			});
		});
		bus.send('test-signal');

		var forget = el.p().a('test forget').attr('href', '#').click(function(){
			status.text('testing forget...');
			forget.css({color: '#eee', borderColor: '#eee'});

			var n = 0;
			bus.listen('test-signal-3', function(){
				status.text('ok ' + n);
				n++;
				if(n === 1){
					bus.forget('test-signal-3');
					bus.send('test-signal-3');
					setTimeout(function(){
						if(n === 1) status.text('forget: ok');
						forget.css({color: '#c1272d', borderColor: '#c1272d'});
					}, 1000);
				}
				if(n > 1){
					status.text('***** bus.forget FAIL');
				}
			});
			bus.send('test-signal-3');
			return false;
		});

		setTimeout(function(){ if(!received) $('#main-column').append('Message not received. Test failed.'); }, 1000);

		function disable(){}
	});
