import h from 'virtual-dom/h'

function Tabs(options) {
	var o = this.options = extend({
		dashboards: null,
		selection: null // observable
	}, options);

	o.selection.subscribe(function(v){
		o.renderer.render()
	})
}

Tabs.prototype = {
	render: function() {
		var o = this.options
		return h('.tabs', o.dashboards.map(function(v){
			return h(
				'a' + (o.selection.value && v.name === o.selection.value.name ? '.selected' : '' ),
				{ onclick: function(){ o.selection.set(v) } },
				v.title
			)
		}))
	}
}

export default Tabs;
