/*
 *  Object prototype for filtering a list of content items.
 */
define(['emitter', 'extend', 'utils'], function(Emitter, extend, Utils){

return function Filter(o) {
	this.name = 'unnamed';
	this.status = this.fn = Utils.noop;

	extend(this, o);

	this.events = new Emitter();

	this.disable = function(disabled){
		this.disabled = disabled || true;
		return this;
	}

	this.enable = function(enabled){
		this.disabled = enabled || false;
		return this;
	}
}

});
