import extend from 'extend'
import Button from './button'

var ToggleButton = function(options){
	var self = this

	this.state = false

	this.init(extend({
		icon: options.icons[0],
		on_click: function() {
			self[self.state ? 'off' : 'on']()
			self.options.renderer.render()
		}
	}, options))
}

ToggleButton.prototype = extend(new Button({}), {

	on: function() {
		if(!this.state){
			this.state = true
			this.options.icon = this.options.icons[1]
			console.log('on', this.options.icon);
			this.options.on()
		}
	},

	off: function() {
		if(this.state){
			this.state = false
			console.log('off');
			this.options.off()
			this.options.icon = this.options.icons[0]
		}
	}
})

export default ToggleButton
