import h from 'virtual-dom/h'
import Form from 'vform'
//import 'select-image'

var ThumbnailHandler = {

	render: function(item) {
		// TODO show the thumbnails in the dropdown list
		var checked  = {};
		item.defaults().forEach(function(def) { checked[def] = true; });

		/*
		var urls = {};

		$.each(item.get_values(), function(i, value) {

			urls[value] = label.url;
		});

		select.change(function() {
			img.attr('src', urls[select.val()]);
		})

		select.selectImage(item._item);
		*/

		var img = {}

		var values = item.values().map(function(value, i){
			var label = item.label(value)
			if(checked[value]) {
// TODO
//				opt.prop('selected', 'selected');
				if(label.fetch_image) {
					label.fetch_image(img, function(url) {
						urls[value] = label.url = url;
					})
				}
			}
			// TODO why is item.value() an array?
			if(value === item._item.value){
				img.src = item._item.labels[value].url
			}

			return h('option', {value: value, text: label.title, title: label.url, attributes: {}});
		})

		return h('.form-thumbnail-item-wrapper', [
			h('img', img),
			h('select.form-thumbnail-item', {onchange: function(e) {
				if(e.target.value){
					console.log('change: value=', e.target.value)
					item._item.value = e.target.value
					item.renderer.render()
				}
			}}, values)
		])
	},

	collect: function (item, el) {
		var select = document.querySelector(el + ' select');
		return select.options[select.selectedIndex].value
	}
}

Form.add_handler('thumbnail', ThumbnailHandler);
